Skip to main content
PUT
/
metadata
/
{projectId}
/
{catalogId}
/
{schemaName}
/
{tableName}
Update Metadata
curl --request PUT \
  --url https://partner.peaka.studio/api/v1/metadata/{projectId}/{catalogId}/{schemaName}/{tableName} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "tableDescription": "<string>",
  "columns": [
    {
      "columnName": "<string>",
      "columnDescription": "<string>",
      "dataType": "<string>",
      "order": 123,
      "isNotNull": true,
      "isSystem": true,
      "isUnique": true,
      "isPrimary": true,
      "isCategorical": true,
      "categoricalValues": [
        "<string>"
      ],
      "lineage": [
        {
          "tables": [
            "<string>"
          ],
          "column": "<string>",
          "expression": "<string>"
        }
      ]
    }
  ],
  "useWithAI": true
}
'
import requests

url = "https://partner.peaka.studio/api/v1/metadata/{projectId}/{catalogId}/{schemaName}/{tableName}"

payload = {
"tableDescription": "<string>",
"columns": [
{
"columnName": "<string>",
"columnDescription": "<string>",
"dataType": "<string>",
"order": 123,
"isNotNull": True,
"isSystem": True,
"isUnique": True,
"isPrimary": True,
"isCategorical": True,
"categoricalValues": ["<string>"],
"lineage": [
{
"tables": ["<string>"],
"column": "<string>",
"expression": "<string>"
}
]
}
],
"useWithAI": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tableDescription: '<string>',
columns: [
{
columnName: '<string>',
columnDescription: '<string>',
dataType: '<string>',
order: 123,
isNotNull: true,
isSystem: true,
isUnique: true,
isPrimary: true,
isCategorical: true,
categoricalValues: ['<string>'],
lineage: [{tables: ['<string>'], column: '<string>', expression: '<string>'}]
}
],
useWithAI: true
})
};

fetch('https://partner.peaka.studio/api/v1/metadata/{projectId}/{catalogId}/{schemaName}/{tableName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{}

Authorizations

Authorization
string
header
required

Use the Authorization header with the value 'Bearer ' to authenticate. Partner API Keys have full access; Project API Keys are limited to their project scope. Learn more: https://docs.peaka.com/api-reference/authentication

Path Parameters

projectId
string
required
catalogId
string
required
schemaName
string
required
tableName
string
required

Body

application/json
tableDescription
string
columns
object[]
useWithAI
boolean

Response

200 - */*

OK

{key}
object